using System;
using System.Collections.ObjectModel;
using System.Diagnostics;
using System.Linq;
using Telerik.Windows.Controls;

namespace UsingIconColumnWidth
{
    public class ViewModel : ViewModelBase
    {
        public ViewModel()
        {
            InsideMenuButtonCommand = new DelegateCommand(_ =>
            {
                Debug.WriteLine($"TextBoxText when button is inside menu is {TextBoxText}");
            });
            OutsideMenuButtonCommand = new DelegateCommand(_ =>
            {
                Debug.WriteLine($"TextBoxText when button is outside menu is {TextBoxText}");
            });
        }

        public DelegateCommand OutsideMenuButtonCommand { get; set; }

        public DelegateCommand InsideMenuButtonCommand { get; set; }

        public string TextBoxText { get; set; }
    }
}
